$(function() {
	//底部调整
	var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null; 
	if (!isChrome) {
		$(".tpl-page-container .tpl-content-wrapper").addClass("R-wra");
		$(".tpl-page-container .tpl-left-nav").addClass("L-tpl");
	}
	//删除弹窗提示
	$('.ngro-Jclick-shanchubi').on("click", function() {           
		return confirm('确定要删除该导航吗？');       
	})
	//修改图标
	$('.am-btn-edit').on('click', function() {
		$("#modal-title").html('修改标题和图标');
		var id = $(this).find("input").val();
		var pic = $(this).parents('tr').find(".am-gallery-item img").prop('src');
		var title = $(this).parent().parent().parent().parent().find(".title").html();
		var aid = $(this).parents('tr').find('.aid').text()
		console.log(title)
		$("#modal-pic").prop({
			src: pic,
			alt: "logo"
		});
		$("#aid-input").val(aid);
		$("#title-input").val(title);
		$("#modal-input").val(id);
		$('#my-prompt').modal({
			relatedElement: this,
			onConfirm: function() {
				$('#editTwo').submit();
			},
			onCancel: function() {}
		});
	});
	$('.am-btn-add').on('click', function() {
		console.log('yy');
		$("#modal-title").html('添加导航');
		$('#my-prompt').modal({
			relatedElement: this,
			onConfirm: function() {
				$('#editTwo').submit();
			},
			onCancel: function() {}
		});
	});
	function imgChange(e1, e2) {
		var imgbox = [];
		e1.change(function() {
			$filePath = URL.createObjectURL(this.files[0]);
			$(this).parent().parent().find('img').attr('src', $filePath);
			$(this).parent().parent().find('img').removeClass('ngco-none-display');
			
			var reader = new FileReader();
			reader.readAsDataURL(this.files[0]); //读取文件
			reader.onload = function(e) { //读取完成回调        
				imgBase = e.target.result;
				imgbox.push(imgBase);
				e2.val(imgbox);
				e2.val(JSON.stringify(imgbox));
			}
		})
	}
	//原始上传
	$('#qrcodeInput').click(function() {
		imgChange($('#qrcodeInput'), $('#ewmGather'));
	})
	$('.zty-sort').change(function() {
		var sort = $(this).val();
		var value = $(this).next().val().split(',');
		value[1] = sort;
		$(this).next().val(value.join(','));
	})
})